 
#ifndef _VDO_MNG_H_
#define _VDO_MNG_H_
 
#ifndef VDO_FOR_F1/*================================ BEGIN VDO_FOR_F1 =================================*/
#include "acp_base.h"
#include "GLD.h"
#else
typedef long ACP_tdxBool;
#endif/*============================================ END   VDO_FOR_F1 =================================*/
 
 
typedef struct tdstVideo_ *VDO_tdxHandleToVideo;
 
 
#define C_VDO_NONE		0
#define C_VDO_STOP		1
#define C_VDO_PLAY		2
#define C_VDO_PAUSE		3
#define C_VDO_LOADED	4
#define C_VDO_ERROR		5
 
 
#define C_VDO_FULLSCREEN	0
#define C_VDO_WINDOWED		1
 
 
extern CPA_EXPORT void VDO_fn_vInitVideo();
extern CPA_EXPORT void VDO_fn_vDesInitVideo();
 
extern CPA_EXPORT char * VDO_fn_szGetCommandLine();
 
 
extern CPA_EXPORT VDO_tdxHandleToVideo VDO_fn_xOpenVideo(char *szFilename);
extern CPA_EXPORT void VDO_fn_xPlayVideo(VDO_tdxHandleToVideo p_stVideoHandle, unsigned char ucMode);
extern CPA_EXPORT void VDO_fn_xStopVideo(VDO_tdxHandleToVideo p_stVideoHandle);
extern CPA_EXPORT void VDO_fn_xCloseVideo(VDO_tdxHandleToVideo p_stVideoHandle);
 
extern CPA_EXPORT VDO_tdxHandleToVideo VDO_fn_xOpenVideoMPEG(char *szFilename);
extern CPA_EXPORT void VDO_fn_xPlayVideoMPEG(VDO_tdxHandleToVideo p_stVideoHandle, unsigned char ucMode);
extern CPA_EXPORT void VDO_fn_xStopVideoMPEG(VDO_tdxHandleToVideo p_stVideoHandle);
extern CPA_EXPORT void VDO_fn_xCloseVideoMPEG(VDO_tdxHandleToVideo p_stVideoHandle);
 
 
/* type de jeu*/
#define		AVI_SYNCH_NOSOUND	0
#define		AVI_SYNCH_OBJECT	1
#define		AVI_SYNCH_STREAM	2
 
extern CPA_EXPORT void			VDO_fn_xDesInitAVI( );
 
#ifdef _USE_WINDOWS_DISPLAY/*======================= BEGIN _USE_WINDOWS_DISPLAY =================================*/
extern CPA_EXPORT void			VDO_fn_xInitAVI( HINSTANCE hInstance, HANDLE hWnd );
#else
extern CPA_EXPORT void			VDO_fn_xInitAVI( HINSTANCE hInstance, void* hDrawSem );
#endif/*============================================ END   _USE_WINDOWS_DISPLAY =================================*/
 
extern CPA_EXPORT void			VDO_fn_xSetAudioTongue( long nIndice );
extern CPA_EXPORT void			VDO_fn_xSetBankIndice( unsigned short nIndice );
extern CPA_EXPORT void			VDO_fn_xSetDirectoryAVI( char* szDirectory );
extern CPA_EXPORT char*			VDO_fn_szGetDirectoryAVI( void );
 
#ifndef VDO_FOR_F1
extern CPA_EXPORT void			VDO_fn_xSetGraphicEnvironment( GLD_tdhDevice hDevice, GLD_tdhViewport hViewPort );
#endif
 
extern CPA_EXPORT void			VDO_fn_xPlayVideoAVI( char *szFilename, unsigned long nType );
extern CPA_EXPORT void			VDO_fn_xStopVideoAVI( );
extern CPA_EXPORT void			VDO_fn_xPauseVideoAVI( );
extern CPA_EXPORT void			VDO_fn_xResumeVideoAVI( );
extern CPA_EXPORT ACP_tdxBool	VDO_fn_bIsRunningAVI( );
 
#endif	/*	_VDO_MNG_H_*/
